| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VDataBufferWrapper Class Reference

`#include <AAX_VDataBufferWrapper.h>`

Inheritance diagram for AAX_VDataBufferWrapper:
[legend]
Collaboration diagram for AAX_VDataBufferWrapper:
[legend]

## Description

Wrapper for an AAX_IDataBuffer.

Like AAX_IController and similar classes, this class provides a non-ACF interface matching an ACF interface, in this case AAX_IACFDataBuffer .

The implementation of this interface will contain a reference counted pointer to the underlying ACF interface. This interface may be extended with convenience functions that are not required on the underlying ACF interface.

## Public Member Functions
| AAX_VDataBufferWrapper (IACFUnknown *iUnknown)
| ~AAX_VDataBufferWrapper () AAX_OVERRIDE
AAX_Result | Type (AAX_CTypeID *oType) const AAX_OVERRIDE
AAX_Result | Size (int32_t *oSize) const AAX_OVERRIDE
AAX_Result | Data (void const **oBuffer) const AAX_OVERRIDE
Public Member Functions inherited from AAX_IDataBufferWrapper
virtual | ~AAX_IDataBufferWrapper ()=default
virtual AAX_Result | Type (AAX_CTypeID *oType) const =0
virtual AAX_Result | Size (int32_t *oSize) const =0
virtual AAX_Result | Data (void const **oBuffer) const =0

## Constructor & Destructor Documentation

## ◆ AAX_VDataBufferWrapper()

AAX_VDataBufferWrapper::AAX_VDataBufferWrapper | ( | IACFUnknown * | iUnknown | ) |
| explicit

## ◆ ~AAX_VDataBufferWrapper()

AAX_VDataBufferWrapper::~AAX_VDataBufferWrapper | ( |  | ) |

## Member Function Documentation

## ◆ Type()

AAX_Result AAX_VDataBufferWrapper::Type | ( | AAX_CTypeID * | oType | ) | const
| virtual

The type of data contained in this buffer

This identifier must be sufficient for a client that knows the type to correctly interpret and use the data.

Implements AAX_IDataBufferWrapper.

## ◆ Size()

AAX_Result AAX_VDataBufferWrapper::Size | ( | int32_t * | oSize | ) | const
| virtual

The number of bytes of data in this buffer

Implements AAX_IDataBufferWrapper.

## ◆ Data()

AAX_Result AAX_VDataBufferWrapper::Data | ( | void const ** | oBuffer | ) | const
| virtual

The buffer of data

Implements AAX_IDataBufferWrapper.

The documentation for this class was generated from the following file:

- AAX_VDataBufferWrapper.h